# Media Types

Media Types are a list of standard OOH formats.

### **The Media Type Object**

```
id: integer
source: direct | rtb
name: string
subtype: array[string]
```

### **Endpoints**

**List Media Types**

```
GET /media_types

Returns: paginated array of media type objects inside a "records" key
```

## GET /v1/media\_types

> list media\_types

```json
{"openapi":"3.0.1","info":{"title":"API V1","version":"v1"},"servers":[{"url":"https://{defaultHost}","variables":{"defaultHost":{"default":"api.adquick.com"}}}],"paths":{"/v1/media_types":{"get":{"summary":"list media_types","parameters":[{"name":"X-PARTNER-TOKEN","in":"header","schema":{"type":"string"}}],"responses":{"200":{"description":"successful","content":{"application/json":{"schema":{"$schema":"http://json-schema.org/draft-06/schema#","type":"object","properties":{"records":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","not":{"type":"null"}},"name":{"type":"string","minLength":1}},"required":["id","name"]}},"pagination":{"type":"object","properties":{"current_page":{"type":"integer","not":{"type":"null"}},"next_page":{"type":["null","integer"]},"prev_page":{"type":["null","integer"]},"total_pages":{"type":"integer","not":{"type":"null"}},"total_entries":{"type":"integer","not":{"type":"null"}}},"required":["current_page","next_page","prev_page","total_pages","total_entries"]}},"required":["records","pagination"]}}}}}}}}}
```
